
From: Alexey Dobriyan <adobriyan@mail.ru>

For when the layout of `struct resource' changes.

Signed-off-by: Alexey Dobriyan <adobriyan@mail.ru>
Acked-by: William Irwin <wli@holomorphy.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/sparc/kernel/ioport.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN arch/sparc/kernel/ioport.c~sparc-fix-compile-failure-struct-resource-related arch/sparc/kernel/ioport.c
--- 25/arch/sparc/kernel/ioport.c~sparc-fix-compile-failure-struct-resource-related	2005-03-07 20:41:42.000000000 -0800
+++ 25-akpm/arch/sparc/kernel/ioport.c	2005-03-07 20:41:42.000000000 -0800
@@ -54,11 +54,11 @@ static void _sparc_free_io(struct resour
 
 /* This points to the next to use virtual memory for DVMA mappings */
 static struct resource _sparc_dvma = {
-	"sparc_dvma", DVMA_VADDR, DVMA_END - 1
+	.name = "sparc_dvma", .start = DVMA_VADDR, .end = DVMA_END - 1
 };
 /* This points to the start of I/O mappings, cluable from outside. */
 /*ext*/ struct resource sparc_iomap = {
-	"sparc_iomap", IOBASE_VADDR, IOBASE_END - 1
+	.name = "sparc_iomap", .start = IOBASE_VADDR, .end = IOBASE_END - 1
 };
 
 /*
_
